View Issue Details

IDProjectCategoryView StatusLast Update
0002126Ham Radio DeluxeBugpublic2017-09-18 00:08
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 10 Professional x64OS Version1703
Product Version6.4.0.660 
Target VersionFixed in Version6.4.0.787 
Summary0002126: Logbook Filter shouldn't be enabled for field if field dropdown is blank
Description
The logbook Filter ends up submitting bogus SQL statements if the "Field" drop-down control in a parituclar lcause of the filter doesn't have a selection. This is possible because the drop-down includes a blank entry, in addition to the names of the available fields. To compensate, I think the clause could be considered disabled until a field name is selected by the user.

Steps To Reproduce
1) Open your favorite logbook database
2) Use the "Filter" button in the toolbar to display the filter bar
3) Mark the first "Field" box so that it is enabled
4) Don't select a field name
5) Select "Equals" in the "Match" dropdown
6) Enter "XYZZY" for the Value
BUG#1) The produced SQL statement assumes the column is COL_USER_DEFINED_6. this results in a bogus SQL statement
Additional InformationUnfortunately, I don't think evidence of the failed query is made visible to the user; they simply see no matching records in the view. The debugger shows this information:

2017-07-12 08:33:27: LOG> Query,
LogfileView.cpp(231) : atlTraceGeneral - SHOW> DBG 0, Query,
2017-07-12 08:33:27: LOG> Reload, SQL: SELECT COL_PRIMARY_KEY,COL_ADDRESS,COL_AGE,COL_A_INDEX,COL_ANT_AZ,COL_ANT_EL,COL_ANT_PATH,COL_ARRL_SECT,COL_BAND,COL_BAND_RX,COL_BIOGRAPHY,COL_CALL,COL_CHECK,COL_CLASS,COL_CNTY,COL_COMMENT,COL_C
LogfileView.cpp(231) : atlTraceGeneral - SHOW> DBG 0, Reload, SQL: SELECT COL_PRIMARY_KEY,COL_ADDRESS,COL_AGE,COL_A_INDEX,COL_ANT_AZ,COL_ANT_EL,COL_ANT_PATH,COL_ARRL_SECT,COL_BAND,COL_BAND_RX,COL_BIOGRAPHY,COL_CALL,COL_CHECK,COL_CLASS,COL_CNTY,COL_COMMENT,COL_C
2017-07-12 08:33:27: LOG> Reload, WHERE: (COL_USER_DEFINED_6 = 'xyzzyx')
LogfileView.cpp(231) : atlTraceGeneral - SHOW> DBG 0, Reload, WHERE: (COL_USER_DEFINED_6 = 'xyzzyx')
f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\dbflt.cpp(151) : AppMsg - Warning: double converted from SQL type 4.
2017-07-12 08:33:27: LOG> Reload, Read count 0 records in 7 milliseconds, 0.0 records per second
LogfileView.cpp(231) : atlTraceGeneral - SHOW> DBG 0, Reload, Read count 0 records in 7 milliseconds, 0.0 records per second
2017-07-12 08:33:27: LOG> Reload, Table TABLE_HRD_CONTACTS_V01 opened in 8 milliseconds
LogfileView.cpp(231) : atlTraceGeneral - SHOW> DBG 0, Reload, Table TABLE_HRD_CONTACTS_V01 opened in 8 milliseconds


TagsNo tags attached.
ModuleLogbook
Sub-ModuleFunctional
TestingNot Started

Relationships

related to 0002128 closedK7ZCZ Logbook filter is difficult to use 

Activities

K7ZCZ

2017-09-10 22:54

manager   ~0004160

fixed with the related issue

g3ucq

2017-09-12 03:08

viewer   ~0004166

Fixed

WA9PIE

2017-09-18 00:08

administrator   ~0004222

Closed as part of the 6.4.0.787 release.

Issue History

Date Modified Username Field Change
2017-07-12 11:04 K7ZCZ New Issue
2017-09-10 22:54 K7ZCZ Relationship added related to 0002128
2017-09-10 22:54 K7ZCZ Assigned To => K7ZCZ
2017-09-10 22:54 K7ZCZ Status new => assigned
2017-09-10 22:54 K7ZCZ Status assigned => resolved
2017-09-10 22:54 K7ZCZ Resolution open => fixed
2017-09-10 22:54 K7ZCZ Note Added: 0004160
2017-09-11 21:32 K7ZCZ Fixed in Version => 6.4.0.785
2017-09-12 03:08 g3ucq Note Added: 0004166
2017-09-14 19:23 K7ZCZ Fixed in Version 6.4.0.785 => 6.4.0.787
2017-09-18 00:06 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-09-18 00:08 WA9PIE Note Added: 0004222
2017-09-18 00:08 WA9PIE Status resolved => closed